Ritual.Preloader = function (game) {
	this.preloadBar = null;
	this.ready = false;
};

Ritual.Preloader.prototype = {

	preload: function () {
        this.preloadBar = this.add.sprite(this.game.world.centerX-200, this.game.world.centerY, 'preloaderBar');
		this.load.setPreloadSprite(this.preloadBar);
		this.game.load.spritesheet('player', 'img/marche_Sheet reduit.png', 42.625, 66.5);
		this.game.load.spritesheet('light', 'img/bougie sprite_sheet.png', 32, 64);
		this.game.load.spritesheet('player-light', 'img/bob_briquet modif.png', 42.625, 66.5);
		this.game.load.spritesheet('miror', 'img/miroir_spritesheet.png', 62.333333333, 82);
		this.game.load.spritesheet('window', 'img/volet_spritesheet.png', 64, 192);
		this.game.load.spritesheet('door', 'img/porte_spritesheet.png', 64, 81);
		this.game.load.spritesheet('title', 'img/ecran titre.png', 800, 600);
		this.game.load.spritesheet('player-tambourin', 'img/bob_tambourin reduit.png', 85.5, 114);
		this.game.load.spritesheet('tambourin', 'img/tambourin_notes.png', 80, 100);
		this.game.load.spritesheet('boss', 'img/boss_spritesheet.png', 128.333333333, 200);
        this.load.tilemap('map', 'json/mapv2.json', null, Phaser.Tilemap.TILED_JSON);
        this.load.image('imgBackground', 'img/salle fond.png');
        this.load.image('imgCollision', 'img/colosion.png');
        this.load.image('imgBallon', 'img/objet_divers ballon 1.png');
        this.load.image('imgPouf', 'img/objet_divers pouf 1.png');
        this.load.image('imgPlayerHB', 'img/playerHB.png');
        this.load.image('imgShadow', 'img/shadow.png');
        this.load.image('imgWall', 'img/mur 2 gauche.png');
        this.load.image('imgTambourin', 'img/tambourin.png');
        this.load.image('imgDague', 'img/glaive de la mort.png');
        this.load.image('imgLighter', 'img/briquet.png');
        this.load.image('imgCase', 'img/case.png');
        this.load.image('imgMeuble', 'img/meuble sans rien.png');
        this.load.image('credit', 'img/credits.png');
        this.load.audio('tambour', 'snd/tambour.wav')              
        this.load.audio('rire', 'snd/rire maléfique.wav')              
        this.load.audio('briquet', 'snd/BRIQUET - Bruitage Gratuit.wav')              
        this.load.audio('miror-break', 'snd/miroir brise.wav')              
        this.load.audio('error', 'snd/Musique erreurs Windows XP.wav')              
        this.load.audio('menu-music', 'snd/ecran titre.mp3')
        this.load.audio('level-music', 'snd/musique du jeu.wav')
        this.load.audio('door', 'snd/door.wav')
        this.load.audio('bambous', 'snd/bambous.mp3')
        this.load.audio('mort', 'snd/bruit de mort.wav')
		this.load.audio('preload_complete', ['snd/cp.ogg', 'snd/cp.mp3']);
	},

	create: function () {
		this.preloadBar.cropEnabled = false;
	},

	update: function () {
		if (this.cache.isSoundDecoded('preload_complete') && this.ready == false)
		{
			this.ready = true;
			this.state.start('Menu');
		}
	}

};